Bug 32413 - EasyHacks: Add an "Apply" button to formatting dialogs
Summary: EasyHacks: Add an "Apply" button to formatting dialogs
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.3.0 RC1
Hardware: x86-64 (AMD64) Linux (All)
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords: easyHack
Depends on:
Blocks:
 
Reported: 2010-12-15 09:00 UTC by RGB
Modified: 2015-12-18 09:56 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description RGB 2010-12-15 09:00:25 UTC
Suppose you are building a drawing on Draw or Impress and you need certain object to be on a precise position/with a precise size/border line... You right click the object, go to the corresponding menu and change the values. Then you click OK... just to realize that you need to change those values one more time.
This situation is quite common: when you have several graphic object many iteration are usually needed to obtain the right layout. Opening every time the menus in this situation is suboptimal: an Apply button that apply the settings without closing the dialogs will be an interesting addition, specially on Draw and Impress, but it could be useful on Writer too when you edit a style: seeing how the text change before you close the dialog could help a lot.
Comment 1 Jan Holesovsky 2010-12-20 22:25:36 UTC
Sounds interesting, can you please add it to the Easy Hacks?

http://wiki.documentfoundation.org/Development/Easy_Hacks

Somewhere between the easy programming tasks...  Thank you!
Comment 2 Jan Holesovsky 2010-12-20 22:31:49 UTC
Actually, it is enough to add a flag to the subject, let me do that.
Comment 3 Miklos Vajna 2011-03-23 05:19:42 UTC
I'm taking this one till 2010-03-30.
Comment 4 Miklos Vajna 2011-03-28 05:27:18 UTC
The "writer style edit dialog" part of this is now implemented:

http://cgit.freedesktop.org/libreoffice/writer/commit/
Comment 6 Jan Holesovsky 2011-03-29 00:08:19 UTC
And the nice blog entry about that: http://vmiklos.hu/blog/lo-apply

Thank you Miklos, great stuff! :-)
Comment 7 Michael Meeks 2011-04-04 05:48:12 UTC
closing this; the new easy hack to preserve dialog location is filed separately.
Comment 8 Christian Lohmaier 2011-04-16 07:47:13 UTC
verified
Comment 9 Christian Lohmaier 2011-04-16 07:47:41 UTC
closing
Comment 10 Robinson Tryon (qubit) 2015-12-18 09:56:43 UTC
Migrating Whiteboard tags to Keywords: (EasyHack)
[NinjaEdit]